C  OS1.INC
C
C***    OS PATHWAY
C
C       WE ANTICIPATE THESE WILL BE USEFUL BOTH
C       IN THE PREPROCESSING AND IN THE MET PROCESSOR
C
      INTEGER   OSNL,OSNDT,OSDNUM
      INTEGER   OSDVAR,OSDCRD
      INTEGER   NUMCALM
      CHARACTER OSLOC*8,OSLAT*8,OSLON*8,OSFRMT*132
      REAL      OSCALM,OSDT,OSLL,OSUL,OSHT,OSHTPREV,OSSOBS,OSVOBS
      REAL      WDX,WDY
      LOGICAL   L_HgtsVary
C
      INTEGER, PARAMETER :: OSMH=24, OSML=50, OSMDAT=50,
     &                      OSMVEC=15, OSMRDS=50, OSMV=56
      INTEGER, PARAMETER :: MLMVEC = OSML*OSMVEC
      
      COMMON /OSBK01/ OSNL,OSNDT,OSDT(OSMH,3),OSLL(3),OSUL(3),
     1                OSDCRD, OSDNUM(OSMRDS),
     2                OSDVAR(OSMRDS,OSMDAT,2)
      COMMON /OSBK02/ OSCALM,NUMCALM(OSML), OSHT(OSML), OSHTPREV(OSML),
     1                OSSOBS(OSMH,OSMV), OSVOBS(OSMH,OSML,OSMVEC),
     2                WDX(OSMH,OSML), WDY(OSMH,OSML)
      COMMON /OSBK03/ OSLON,OSLAT,OSLOC,OSFRMT(OSMRDS)
      COMMON /OSBK04/ L_HgtsVary
C
C       OSMRDS          MAXIMUM NUMBER OF 'CARD IMAGES' TO BE PROCESSED
C                       IN ORDER TO READ IN OS-DATA FOR A
C                       PARTICULAR TIME PERIOD.
C       OSMV            Maximum number of variables in the on-site arrays
C                       (equal to SFMV)
C       OSCALM          THRESHOLD VALUE OF WIND SPEED, BELOW WHICH
C                       THE WIND IS CONSIDERED CALM (M/S)
C       NUMCALM         NUMBER OF CALM SAMPLES WITHIN AN HOUR
C       OSMH            MAXIMUM NUMBER OF HOURS MERGED
C       OSML            MAXIMUM NUMBER OF LEVELS MERGED
C       OSMDAT          MAXIMUM NUMBER OF VARIABLES READ IN ON ANY
C                       ONE READ (WHILE READING OS DATA OBSERVATIONS)
C       OSMVEC          MAXIMUM NUMBER OF VECTOR WXX VARIABLES
C                       AT EACH LEVEL FOR EACH HOUR
C       OSNL            NUMBER OF LEVELS FOR THIS SITE
C       OSNDT           NUMBER OF DELTA-T VALUES FOR THIS SITE
C       OSDCRD          NUMBER OF RECORDS REQUIRED TO READ THE OS
C                       VARIABLES
C       OSDNUM(N)       NUMBER OF VARIABLES ON RECORD 'N'
C                       READ IN) FOR THIS SITE
C       OSDVAR          VARIABLE INDEX (IN ARRAY VNAMES) IN SEQUENCE
C                       AS THEY ARE LISTED IN QA INPUT AND OUTPUT
C                       OSDVAR(OSMRDS,OSMDAT,2) WHERE
C                            1: YIELDS VARIABLE INDEX WITHIN VNAMES
C                            2: IS 0 FOR SCALAR VARIABLES; LEVEL
C                               ON TOWER FOR VECTOR VARIABLES
C       OSDT            DELTA-T VALUES REPORTED
C       OSLL,OSUL       LOWER AND UPPER MEASUREMENT HTS FOR DELTA-T
C       OSHT            TOWER MEASURMENT HEIGHTS FOR THIS SITE
C       OSSOBS          SINGLE-VALUE VARIABLES (e.g., heat flux)
C       OSVOBS          MULTI-LEVEL (TOWER) VARIABLES (e.g., winds)
C       OSLON           LONGITUDE*100 (DEGREES) (E.G. 8034E)
C       OSLAT           LATITUDE*100 (DEGREES) (E.G. 3034N)
C       OSLOC           SITE ID
C       OSFRMT          FORMATS FOR READING OS DATA FOR EACH OBS PERIOD
C
C       L_HgtsVary      Logical variable to flag when ONSITE tower heights
C                       vary within the data file
C
